Jump to content

Wikipedia talk:Twinkle

Page contents not supported in other languages.
Add topic
From Wikipedia, the free encyclopedia
(Redirected from MediaWiki talk:Gadget-morebits.css)
Latest comment: 3 hours ago by ARandomName123 in topic add {{Uw-llmpblock}}

Loss of data when switching in AfD

[edit]

Happened to me twice now, is annoying: Start nominating some article(s) at AfD, finish text, notice that the dropdown at the top says "deletion" but want instead "redirect", and poof, all text written below is gone. Why can't this just keep what is already there? Alternatively, remove that dropdown which doesn't do a lot otherwise. Fram (talk) 09:09, 12 June 2026 (UTC)Reply

I fixed this in 2382. – SD0001 (talk) 19:46, 23 June 2026 (UTC)Reply
@SD0001 I just experienced this last night and almost threw my computer at a wall. It appears to affect any change in dropdown. I dont have a github account and not keen on making one just for this. If a fix cant be implemented directly, perhaps a warning or a requirement to confirm the change can be? Thanks. Also do we have to implement anything or is it updated automatically? ← Metallurgist (talk) 01:09, 18 July 2026 (UTC)Reply

Talk page watching defaults

[edit]

Now that topic subscriptions are a thing, I don't think most Twinkle users are going to be interested in watching the user talk page of the initial contributor to a page beyond the notice of the XfD (which they will generally be automatically subscribed to). Could we change the default Twinkle settings to reflect this? Sdkbtalk 01:33, 16 June 2026 (UTC)Reply

I support this. Have you opened a GitHub ticket about it? FaviFake (talk) 16:18, 3 July 2026 (UTC)Reply
Done! Sdkbtalk 19:38, 3 July 2026 (UTC)Reply

Twinkle not recognizing existing tags

[edit]
Resolved

When I select "Tag" in Twinkle, all of the templates in the list are unchecked, even if they're in the article. Is anyone else having this problem, or is it something on my end? Thebiguglyalien (talk) 00:38, 9 July 2026 (UTC)Reply

I'm also having this problem. ARandomName123 (talk)Ping me! 03:44, 11 July 2026 (UTC)Reply
Same here, but I can't seem to reproduce it on testwiki. ~ rusty meow ~ 21:04, 11 July 2026 (UTC)Reply
Should be fixed now. Thanks to HakanIST for the patch. – SD0001 (talk) 03:17, 12 July 2026 (UTC)Reply

tag old news?

[edit]

Would it be possible to add {{old news}} to the tag list here? --Joy (talk) 22:04, 13 July 2026 (UTC)Reply

"Template:Welcome-uk" listed at Redirects for discussion

[edit]

icon The redirect Template:Welcome-uk, which is used by Twinkle, has been listed at redirects for discussion to determine whether its use and function meets the redirect guidelines. Anyone, including you, is welcome to comment on this redirect at Wikipedia:Redirects for discussion/Log/2026 July 15 § Template:Welcome-uk until a consensus is reached. In solidarity, Gommeh (talk 🎮 sign) 14:49, 15 July 2026 (UTC)Reply

Template:welcome-belated seems to not be printing signature anymore

[edit]

Hello and welcome again to a bug report. It seems that belated welcomes don't print the signature anymore (proof 1) (proof 2), and SineBot will even ignore it. The rest of the welcome templates actually print the signature, so what is going on here?

(Edit: I did actually edit Template:Welcome-belated but I still have no idea what prints the signature :/) – (In solidarity 🫡) SimpleObjects-9ei 🏖️/☀️/🥵 20:35, 15 July 2026 (UTC)Reply

You edited the page after you left this message, has that fixed the issue? Primefac (talk) 09:22, 16 July 2026 (UTC)Reply
@Primefac
...Yes. It did fix it. Adolphus79's move might have been bold, but unfortunately, we still have to find what prints the signature in the other welcome templates. In fact, we STILL have to find out how to remove "~~~~" without breaking signature printing. – (In solidarity 🫡) SimpleObjects-9ei 🏖️/☀️/🥵 18:47, 16 July 2026 (UTC)Reply
The auto-signature used in Template:Welcome-belated and many other welcome templates is elegant and helpful. I don't know why someone would remove it, especially without a discussion. – Jonesey95 (talk) 16:21, 17 July 2026 (UTC)Reply
I could be wrong, but I feel like there are some templates where Twinkle adds the sig, and others that are in-built into the template. This might be where the confusion lay (or lie, I'm not too sure). Primefac (talk) 23:05, 17 July 2026 (UTC)Reply
You're correct that some templates add their own signatures, and for those that don't, there's code in Twinkle to add a signature. The ones that need Twinkle signatures have to be manually specified in the Twinkle code though, it isn't automatic. I imagine has fixed this particular issue. Closing without actionNovem Linguae (talk) 23:58, 18 July 2026 (UTC)Reply

7.18.26

[edit]

@Twinkle Delete the account "L1ght7ear2020 YT". I no longer need the account ~2026-40659-89 (talk) 23:27, 19 July 2026 (UTC)Reply

@~2026-40659-89:
Twinkle is not an actual user and has no ability to perform administrative actions on its own.
Besides, your account was blocked for persistent MOS violations; see User talk:L1ght7ear2020 YT. Accounts on Wikipedia cannot be deleted for legal attribution reasons; if you no longer need an account, you can simply stop using it.
As an aside, if you are looking to get unblocked, please consider the Standard offer, and use the time to reflect on your behavior and what you can learn from the experience.
~ rusty meow ~ 01:00, 20 July 2026 (UTC)Reply

Hey guys

[edit]

It seems twinkle doesn't work when reverting page move vandalism like what just happened here -- https://en.wikipedia.org/wiki/Special:Contributions/Whiaskeifcj (edits are now deleted) -- someone already did the job while I was tryna figure it out, but I gotta ask. How do you revert page move vandalism? Or even quicker? Haven't done one before.‎ — B.J (talk) 01:37, 24 July 2026 (UTC)Reply

You move the page back to where it came from. Not a snarky answer, just the only way (that I know of) to do it. Primefac (talk) 22:10, 25 July 2026 (UTC)Reply
No sweat. I appreciate the reply. It gave me a hint.‎ — B.J (talk) 02:45, 28 July 2026 (UTC)Reply

Still missing the "optional explanation" on a lot of CSDs

[edit]

I just deleted Category:Pages using infobox figure skater with deprecated parameters as WP:C4 (unused maint. category) but I always feel like I should indicate that it's unused because the infobox doesn't call it any more. However, putting in the "Optional explanation" into TW does nothing. I've also noted this for G6 as well, so I don't think it's related to the CSD rationale itself. Did we lose this functionality or can we get it added (back) in? Primefac (talk) 16:12, 26 July 2026 (UTC)Reply

This can be fixed in {{Db-c4}} by replacing |summary={{{summary|Unused maintenance category}}} with |summary={{#if:{{{summary|}}}|{{{summary}}}|{{#if:{{{rationale|}}}|Unused maintenance category; {{{rationale}}}|Unused maintenance category}}}}. – DreamRimmer 16:53, 26 July 2026 (UTC)Reply
Thanks! That did it. Primefac (talk) 18:36, 26 July 2026 (UTC)Reply

Nomination for merging of Template:Paid contributions

[edit]

Information icon Template:Paid contributions has been nominated for merging with Template:Undisclosed paid. You are invited to comment on the discussion at the template's entry on the Templates for discussion page. Thank you. FaviFake (talk) 16:37, 11 August 2026 (UTC)Reply

Loss of argument in aborted PRODs

[edit]

Is it possible to change the code so that the argument is still displayed when it is aborted? It would be slightly more convenient. Not a big issue, but a nice quality of life change for regular XFD nominators. HerrHeulsuse (talk) 14:22, 12 August 2026 (UTC)Reply

G15 has been updated

[edit]

Speedy deletion criterion G15 has been updated to include a third subcriterion: technical indicators. The label should also be changed from "Unreviewed LLM-generated content" to "Unambiguously LLM-generated content". See Wikipedia talk:Speedy deletion#RfC: Updating G15 ("LLM-generated pages without human review"). SuperPianoMan9167 (talk) 20:55, 12 August 2026 (UTC)Reply

Warning users on G8

[edit]

I have no idea if this is intentional coding design or something else, but in the past few days, I've been G8-tagging articles. However, G8 tagging a talk page will not notify the page creator, even though a template exists for it, and if the creator tries to find the deleted page, well they'll find out. I don't have a GitHub account nor email so I can't do it there. But, should Twinkle warn users on G8 speedy deletion? SimpleObjects-9ei 🏖️/☀️/🥵 (see talk) 19:04, 14 August 2026 (UTC)Reply

It's intentional coding, G8 is not given as an option in Wikipedia:Twinkle/Preferences for notifications (I have no opinions on whether we should or not, I'm just answering the first part of the post). Primefac (talk) 13:40, 15 August 2026 (UTC)Reply

Article tag removal does not work for Expand language

[edit]

On an article tagged with a template like {{Expand German}}, the tag menu displays this in the list as "Expand language". Unticking the list entry and submitting to attempt removing the template then fails with "Info: Failed to find {{Expand language}} on the page... excluding". 1234qwer1234qwer4 21:17, 14 August 2026 (UTC)Reply

Bug: TW CSD brackets issue

[edit]

Hello, I went to delete Category:August 1991 crimes in Asia and I noticed that the deletion tag added looked like {{db-xfd|fullvotepage=[[Wikipedia:Categories_for_discussion/Log/2026_July_29#Crimes_in_Asia_by_month]]}}, which resulted in it appearing as See [[Wikipedia:Categories_for_discussion/Log/2026_July_29#Crimes_in_Asia_by_month|this page's deletion discussion]]. It looks like this is an output issue. {{db-xfd}} appears to be the only CSD tag with |fullvotepage=, so I'm thinking that might be why it's messing up? (please do not ping on reply) Primefac (talk) 10:22, 15 August 2026 (UTC)Reply

add {{Uw-llmpblock}}

[edit]

Hi, can {{Uw-llmpblock}} be added as an option for the partial block menu? Thanks, ARandomName123 (talk)Ping me! 02:38, 16 August 2026 (UTC)Reply